Create or rotate pull-image webhook token
POST/v2/ stacks/ {stackId}/ services/ {serviceId}/ webhook-token/
v2
POST
container-rotate-pull-image-webhook-for-service
Creates or rotates the pull-image webhook token for a Service.
The returned token is shown only once.
Request
Responses
Usage examples
- cURL
- JavaScript SDK
- PHP SDK
$ curl \
--fail \
--location \
-X POST \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/stacks/f0f86186-0a5a-45b2-aa33-502777496347/services/string/webhook-token
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";
const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.container.rotatePullImageWebhookForService({
"stackId": "f0f86186-0a5a-45b2-aa33-502777496347",
"serviceId": "string"
});
assertStatus(response, 200);
use \Mittwald\ApiClient\Generated\V2\Clients\Container\RotatePullImageWebhookForService\RotatePullImageWebhookForServiceRequest;
$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));
$request = (new RotatePullImageWebhookForServiceRequest(
stackId: "f0f86186-0a5a-45b2-aa33-502777496347",
serviceId: "string"
));
$response = $client->container()->rotatePullImageWebhookForService($request);
var_dump($response->getBody();